org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryServerOnlyCustomEventMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractTraceableMessage
    - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryCustomEventMessage
      - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryServerOnlyCustomEventMessage

All Implemented Interfaces:
  Serializable, TraceableMessage

    @TcpDiscoveryEnsureDelivery
    public class TcpDiscoveryServerOnlyCustomEventMessage
    extends TcpDiscoveryCustomEventMessage

Wrapped for custom message that must not be delivered to the client nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CHANGE_TOPOLOGY_FLAG_POS, CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, COMPRESS_DATA_PACKET, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryServerOnlyCustomEventMessage(UUID creatorNodeId, @NotNull DiscoverySpiCustomMessage msg, @NotNull byte[] msgBytes)`

### Method Summary

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryCustomEventMessage

`clearMessage, equals, message, message, messageBytes, toString`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractTraceableMessage

`readResolve, spanContainer`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryServerOnlyCustomEventMessage

    public TcpDiscoveryServerOnlyCustomEventMessage(UUID creatorNodeId,
                                                    @NotNull
                                                    @NotNull DiscoverySpiCustomMessage msg,
                                                    @NotNull
                                                    @NotNull byte[] msgBytes)

Parameters:
  `creatorNodeId` - Creator node id.
  `msg` - Message.
  `msgBytes` - Serialized message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023